# Enum Class VulkanCommandPoolCreateFlag

java.lang.Object
java.lang.Enum<VulkanCommandPoolCreateFlag>
com.io7m.jcoronado.api.VulkanCommandPoolCreateFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanCommandPoolCreateFlag>`, `Constable`

public enum VulkanCommandPoolCreateFlag extends Enum<VulkanCommandPoolCreateFlag> implements VulkanEnumBitmaskType
Bitmask controlling how a command pool is created.

See Also:
  - "VkCommandPoolCreateFlags"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COMMAND_POOL_CREATE_PROTECTED_BIT`
  Specifies that command buffers allocated from the pool are protected command buffers.
  `VK_COMMAND_POOL_CREATE_RESET_COMMAND_BUFFER_BIT`
  Allows any command buffer allocated from a pool to be individually reset to the initial state; either by calling vkResetCommandBuffer, or via the implicit reset when calling vkBeginCommandBuffer.
  `VK_COMMAND_POOL_CREATE_TRANSIENT_BIT`
  Specifies that command buffers allocated from the pool will be short-lived, meaning that they will be reset or freed in a relatively short timeframe.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanCommandPoolCreateFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanCommandPoolCreateFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COMMAND_POOL_CREATE_TRANSIENT_BIT

    public static final VulkanCommandPoolCreateFlag VK_COMMAND_POOL_CREATE_TRANSIENT_BIT
    Specifies that command buffers allocated from the pool will be short-lived, meaning that they will be reset or freed in a relatively short timeframe. This flag may be used by the implementation to control memory allocation behavior within the pool.

  - ### VK_COMMAND_POOL_CREATE_RESET_COMMAND_BUFFER_BIT

    public static final VulkanCommandPoolCreateFlag VK_COMMAND_POOL_CREATE_RESET_COMMAND_BUFFER_BIT
    Allows any command buffer allocated from a pool to be individually reset to the initial state; either by calling vkResetCommandBuffer, or via the implicit reset when calling vkBeginCommandBuffer. If this flag is not set on a pool, then vkResetCommandBuffer must not be called for any command buffer allocated from that pool.

  - ### VK_COMMAND_POOL_CREATE_PROTECTED_BIT

    public static final VulkanCommandPoolCreateFlag VK_COMMAND_POOL_CREATE_PROTECTED_BIT
    Specifies that command buffers allocated from the pool are protected command buffers. If the protected memory feature is not enabled, the VK_COMMAND_POOL_CREATE_PROTECTED_BIT bit of flags must not be set.

- ## Method Details

  - ### values

    public static VulkanCommandPoolCreateFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanCommandPoolCreateFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant